WinUser (JNA API)

com.sun.jna.platform.win32

## Interface WinUser

- All Superinterfaces:
    WinDef
  All Known Subinterfaces:
    User32

      public interface WinUser
      extends WinDef

  Ported from WinUser.h Microsoft Windows SDK 6.0A.
  Author:
    dblock[at]dblock.org, Andreas "PAX" Lück, onkelpax-git[at]yahoo.de

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `WinUser.BLENDFUNCTION`
    `static class` | `WinUser.FLASHWINFO`
    `static class` | `WinUser.GUITHREADINFO`
    `static class` | `WinUser.HARDWAREINPUT` Contains information about a simulated message generated by an input device other than a keyboard or mouse.
    `static class` | `WinUser.HDEVNOTIFY`
    `static class` | `WinUser.HHOOK`
    `static class` | `WinUser.HMONITOR` Each physical display is represented by a monitor handle of type HMONITOR.
    `static interface` | `WinUser.HOOKPROC`
    `static class` | `WinUser.INPUT` Used by SendInput to store information for synthesizing input events such as keystrokes, mouse movement, and mouse clicks.
    `static class` | `WinUser.KBDLLHOOKSTRUCT`
    `static class` | `WinUser.KEYBDINPUT` Contains information about a simulated keyboard event.
    `static class` | `WinUser.LASTINPUTINFO` Contains the time of the last input.
    `static interface` | `WinUser.LowLevelKeyboardProc`
    `static interface` | `WinUser.MONITORENUMPROC` An application-defined callback function that is called by the `User32.EnumDisplayMonitors(com.sun.jna.platform.win32.WinDef.HDC, com.sun.jna.platform.win32.WinDef.RECT, com.sun.jna.platform.win32.WinUser.MONITORENUMPROC, com.sun.jna.platform.win32.WinDef.LPARAM)` function.
    `static class` | `WinUser.MONITORINFO` The MONITORINFO structure contains information about a display monitor.
    `static class` | `WinUser.MONITORINFOEX` The MONITORINFOEX structure contains information about a display monitor.
    `static class` | `WinUser.MOUSEINPUT` Contains information about a simulated mouse event.
    `static class` | `WinUser.MSG`
    `static class` | `WinUser.RAWINPUTDEVICELIST` Contains information about a raw input device.
    `static class` | `WinUser.SIZE` Specifies the width and height of a rectangle.
    `static class` | `WinUser.WINDOWINFO`
    `static class` | `WinUser.WINDOWPLACEMENT` Contains information about the placement of a window on the screen.
    `static interface` | `WinUser.WindowProc` An application-defined function that processes messages sent to a window.
    `static interface` | `WinUser.WinEventProc` An application-defined callback (or hook) function that the system calls in response to events generated by an accessible object. The hook function processes the event notifications as required. Clients install the hook function and request specific types of event notifications by calling SetWinEventHook. The WINEVENTPROC type defines a pointer to this callback function.
    `static class` | `WinUser.WNDCLASSEX` Contains window class information.
    `static interface` | `WinUser.WNDENUMPROC`

    - ### Nested classes/interfaces inherited from interface com.sun.jna.platform.win32.WinDef

      `WinDef.ATOM, WinDef.BOOL, WinDef.BOOLByReference, WinDef.BYTE, WinDef.CHAR, WinDef.CHARByReference, WinDef.DWORD, WinDef.DWORDByReference, WinDef.DWORDLONG, WinDef.HBITMAP, WinDef.HBRUSH, WinDef.HCURSOR, WinDef.HDC, WinDef.HFONT, WinDef.HGLRC, WinDef.HGLRCByReference, WinDef.HICON, WinDef.HINSTANCE, WinDef.HMENU, WinDef.HMODULE, WinDef.HPALETTE, WinDef.HPEN, WinDef.HRGN, WinDef.HRSRC, WinDef.HWND, WinDef.INT_PTR, WinDef.LCID, WinDef.LONG, WinDef.LONGByReference, WinDef.LONGLONG, WinDef.LONGLONGByReference, WinDef.LPARAM, WinDef.LPVOID, WinDef.LRESULT, WinDef.POINT, WinDef.PVOID, WinDef.RECT, WinDef.SCODE, WinDef.SCODEByReference, WinDef.SHORT, WinDef.UCHAR, WinDef.UINT, WinDef.UINT_PTR, WinDef.UINTByReference, WinDef.ULONG, WinDef.ULONGByReference, WinDef.ULONGLONG, WinDef.ULONGLONGByReference, WinDef.USHORT, WinDef.USHORTByReference, WinDef.WORD, WinDef.WORDByReference, WinDef.WPARAM`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `AC_SRC_ALPHA`
    `static int` | `AC_SRC_NO_ALPHA`
    `static int` | `AC_SRC_NO_PREMULT_ALPHA`
    `static int` | `AC_SRC_OVER`
    `static int` | `BS_3STATE` Creates a button that is the same as a check box, except that the box can be grayed as well as checked or cleared. Use the grayed state to show that the state of the check box is not determined.
    `static int` | `BS_AUTO3STATE` Creates a button that is the same as a three-state check box, except that the box changes its state when the user selects it. The state cycles through checked, indeterminate, and cleared.
    `static int` | `BS_AUTOCHECKBOX` Creates a button that is the same as a check box, except that the check state automatically toggles between checked and cleared each time the user selects the check box.
    `static int` | `BS_AUTORADIOBUTTON` Creates a button that is the same as a radio button, except that when the user selects it, the system automatically sets the button's check state to checked and automatically sets the check state for all other buttons in the same group to cleared.
    `static int` | `BS_CHECKBOX` Creates a small, empty check box with text.
    `static int` | `BS_DEFPUSHBUTTON` Creates a push button that behaves like a BS_PUSHBUTTON style button, but has a distinct appearance. If the button is in a dialog box, the user can select the button by pressing the ENTER key, even when the button does not have the input focus. This style is useful for enabling the user to quickly select the most likely (default) option.
    `static int` | `BS_GROUPBOX` Creates a rectangle in which other controls can be grouped.
    `static int` | `BS_LEFTTEXT` Places text on the left side of the radio button or check box when combined with a radio button or check box style.
    `static int` | `BS_OWNERDRAW` Creates an owner-drawn button. The owner window receives a WM_DRAWITEM message when a visual aspect of the button has changed. Do not combine the BS_OWNERDRAW style with any other button styles.
    `static int` | `BS_PUSHBOX` A button that only shows the text
    `static int` | `BS_PUSHBUTTON` Creates a push button that posts a WM_COMMAND message to the owner window when the user selects the button.
    `static int` | `BS_RADIOBUTTON` Creates a small circle with text.
    `static int` | `BS_TYPEMASK` Do not use this style. A composite style bit that results from using the OR operator on BS_* style bits. It can be used to mask out valid BS_* bits from a given bitmask. Note that this is out of date and does not correctly include all valid styles. Thus, you should not use this style.
    `static int` | `BS_USERBUTTON` Obsolete, but provided for compatibility with 16-bit versions of Windows.
    `static int` | `CCHDEVICENAME` Length of the device name in MONITORINFOEX
    `static int` | `CF_BITMAT` A handle to a bitmap (HBITMAP).
    `static int` | `CF_DIB` A memory object containing a BITMAPINFO structure followed by the bitmap bits.
    `static int` | `CF_DIBV5` A memory object containing a BITMAPV5HEADER structure followed by the bitmap color space information and the bitmap bits.
    `static int` | `CF_DIF` Software Arts' Data Interchange Format.
    `static int` | `CF_DSPBITMAP` Bitmap display format associated with a private format.
    `static int` | `CF_DSPENHMETAFILE` Enhanced metafile display format associated with a private format.
    `static int` | `CF_DSPMETAFILEPICT` Metafile-picture display format associated with a private format.
    `static int` | `CF_DSPTEXT` Text display format associated with a private format.
    `static int` | `CF_ENHMETAFILE` A handle to an enhanced metafile (HENHMETAFILE).
    `static int` | `CF_GDIOBJFIRST` Start of a range of integer values for application-defined GDI object clipboard formats.
    `static int` | `CF_GDIOBJLAST`
    `static int` | `CF_HDROP` A handle to type HDROP that identifies a list of files.
    `static int` | `CF_LOCALE` The data is a handle to the locale identifier associated with text in the clipboard.
    `static int` | `CF_METAFILEPICT` Handle to a metafile picture format as defined by the METAFILEPICT structure.
    `static int` | `CF_OEMTEXT` Text format containing characters in the OEM character set.
    `static int` | `CF_OWNERDISPLAY` Owner-display format.
    `static int` | `CF_PALETTE` Handle to a color palette.
    `static int` | `CF_PENDATA` Data for the pen extensions to the Microsoft Windows for Pen Computing.
    `static int` | `CF_PRIVATEFIRST` Start of a range of integer values for private clipboard formats.
    `static int` | `CF_PRIVATELAST`
    `static int` | `CF_RIFF` Represents audio data more complex than can be represented in a CF_WAVE standard wave format.
    `static int` | `CF_SYLK` Microsoft Symbolic Link (SYLK) format.
    `static int` | `CF_TEXT` Text format.
    `static int` | `CF_TIFF` Tagged-image file format.
    `static int` | `CF_UNICODETEXT` Unicode text format.
    `static int` | `CF_WAVE` Represents audio data in one of the standard wave formats, such as 11 kHz or 22 kHz PCM.
    `static int` | `DWL_DLGPROC`
    `static int` | `DWL_MSGRESULT`
    `static int` | `DWL_USER`
    `static int` | `EWX_FORCE` This flag has no effect if terminal services is enabled.
    `static int` | `EWX_FORCEIFHUNG` Forces processes to terminate if they do not respond to the WM_QUERYENDSESSION or WM_ENDSESSION message within the timeout interval.
    `static int` | `EWX_HYBRID_SHUTDOWN` Beginning with Windows 8: You can prepare the system for a faster startup by combining the EWX_HYBRID_SHUTDOWN flag with the EWX_SHUTDOWN flag.
    `static int` | `EWX_LOGOFF` Shuts down all processes running in the logon session of the process that called the ExitWindowsEx function.
    `static int` | `EWX_POWEROFF` Shuts down the system and turns off the power.
    `static int` | `EWX_REBOOT` Shuts down the system and then restarts the system.
    `static int` | `EWX_RESTARTAPPS` Shuts down the system and then restarts it, as well as any applications that have been registered for restart using the RegisterApplicationRestart function.
    `static int` | `EWX_SHUTDOWN` Shuts down the system to a point at which it is safe to turn off the power.
    `static int` | `FLASHW_ALL`
    `static int` | `FLASHW_CAPTION`
    `static int` | `FLASHW_STOP`
    `static int` | `FLASHW_TIMER`
    `static int` | `FLASHW_TIMERNOFG`
    `static int` | `FLASHW_TRAY`
    `static int` | `GA_PARENT` Retrieves the parent window.
    `static int` | `GA_ROOT` Retrieves the root window by walking the chain of parent windows.
    `static int` | `GA_ROOTOWNER` Retrieves the owned root window by walking the chain of parent and owner windows returned by GetParent.
    `static int` | `GCL_CBCLSEXTRA` Retrieves the size, in bytes, of the extra memory associated with the class.
    `static int` | `GCL_CBWNDEXTRA` Retrieves the size, in bytes, of the extra window memory associated with each window in the class.
    `static int` | `GCL_HICON` Retrieves a handle to the icon associated with the class.
    `static int` | `GCL_HICONSM` Retrieves a handle to the small icon associated with the class.
    `static int` | `GCL_STYLE` Retrieves the window-class style bits.
    `static int` | `GCLP_HBRBACKGROUND` Retrieves a handle to the background brush associated with the class.
    `static int` | `GCLP_HCURSOR` Retrieves a handle to the cursor associated with the class.
    `static int` | `GCLP_HICON` Retrieves a handle to the icon associated with the class.
    `static int` | `GCLP_HICONSM` Retrieves a handle to the small icon associated with the class.
    `static int` | `GCLP_HMODULE` Retrieves a handle to the module that registered the class.
    `static int` | `GCLP_MENUNAME` Retrieves the pointer to the menu name string.
    `static int` | `GCLP_WNDPROC` Retrieves the address of the window procedure, or a handle representing the address of the window procedure.
    `static int` | `GCW_ATOM` Retrieves an ATOM value that uniquely identifies the window class.
    `static int` | `GW_CHILD` The retrieved handle identifies the child window at the top of the Z order, if the specified window is a parent window; otherwise, the retrieved handle is NULL.
    `static int` | `GW_ENABLEDPOPUP` The retrieved handle identifies the enabled popup window owned by the specified window (the search uses the first such window found using GW_HWNDNEXT); otherwise, if there are no enabled popup windows, the retrieved handle is that of the specified window.
    `static int` | `GW_HWNDFIRST` The retrieved handle identifies the window of the same type that is highest in the Z order.
    `static int` | `GW_HWNDLAST` The retrieved handle identifies the window of the same type that is lowest in the Z order.
    `static int` | `GW_HWNDNEXT` The retrieved handle identifies the window below the specified window in the Z order.
    `static int` | `GW_HWNDPREV` The retrieved handle identifies the window above the specified window in the Z order.
    `static int` | `GW_OWNER` The retrieved handle identifies the specified window's owner window, if any.
    `static int` | `GWL_EXSTYLE`
    `static int` | `GWL_HINSTANCE`
    `static int` | `GWL_HWNDPARENT`
    `static int` | `GWL_ID`
    `static int` | `GWL_STYLE`
    `static int` | `GWL_USERDATA`
    `static int` | `GWL_WNDPROC`
    `static WinDef.HWND` | `HWND_BROADCAST`
    `static WinDef.HWND` | `HWND_MESSAGE`
    `static int` | `ICON_BIG` Retrieve the large icon for the window.
    `static int` | `ICON_SMALL` Retrieve the small icon for the window.
    `static int` | `ICON_SMALL2` Retrieves the small icon provided by the application.
    `static int` | `IDC_APPSTARTING` Standard arrow and small hourglass cursor.
    `static int` | `IDC_ARROW` Standard arrow cursor.
    `static int` | `IDC_CROSS` Crosshair cursor.
    `static int` | `IDC_HAND` Hand cursor.
    `static int` | `IDC_HELP` Arrow and question mark cursor.
    `static int` | `IDC_IBEAM` I-beam cursor.
    `static int` | `IDC_NO` Slashed circle cursor.
    `static int` | `IDC_SIZEALL` Four-pointed arrow cursor pointing north, south, east, and west.
    `static int` | `IDC_SIZENESW` Double-pointed arrow cursor pointing northeast and southwest.
    `static int` | `IDC_SIZENS` Double-pointed arrow cursor pointing north and south.
    `static int` | `IDC_SIZENWSE` Double-pointed arrow cursor pointing northwest and southeast.
    `static int` | `IDC_SIZEWE` Double-pointed arrow cursor pointing west and east.
    `static int` | `IDC_UPARROW` Vertical arrow cursor.
    `static int` | `IDC_WAIT` Hourglass cursor.
    `static int` | `IDI_APPLICATION` Application icon.
    `static int` | `IDI_ASTERISK` Asterisk icon.
    `static int` | `IDI_EXCLAMATION` Exclamation point icon.
    `static int` | `IDI_HAND` Stop sign icon.
    `static int` | `IDI_QUESTION` Question-mark icon.
    `static int` | `IDI_WINLOGO` Application icon.
    `static int` | `IMAGE_BITMAP`
    `static int` | `IMAGE_CURSOR`
    `static int` | `IMAGE_ENHMETAFILE`
    `static int` | `IMAGE_ICON`
    `static int` | `LR_COLOR`
    `static int` | `LR_COPYDELETEORG`
    `static int` | `LR_COPYFROMRESOURCE`
    `static int` | `LR_COPYRETURNORG`
    `static int` | `LR_CREATEDIBSECTION`
    `static int` | `LR_DEFAULTCOLOR`
    `static int` | `LR_DEFAULTSIZE`
    `static int` | `LR_LOADFROMFILE`
    `static int` | `LR_LOADMAP3DCOLORS`
    `static int` | `LR_LOADTRANSPARENT`
    `static int` | `LR_MONOCHROME`
    `static int` | `LR_SHARED`
    `static int` | `LR_VGACOLOR`
    `static int` | `LWA_ALPHA`
    `static int` | `LWA_COLORKEY`
    `static int` | `MOD_ALT`
    `static int` | `MOD_CONTROL`
    `static int` | `MOD_NOREPEAT`
    `static int` | `MOD_SHIFT`
    `static int` | `MOD_WIN`
    `static int` | `MONITOR_DEFAULTTONEAREST` Returns a handle to the display monitor that is nearest to the window.
    `static int` | `MONITOR_DEFAULTTONULL` Returns NULL.
    `static int` | `MONITOR_DEFAULTTOPRIMARY` Returns a handle to the primary display monitor.
    `static int` | `MONITORINFOF_PRIMARY` This is the primary display monitor.
    `static int` | `RDW_ALLCHILDREN`
    `static int` | `RDW_ERASE`
    `static int` | `RDW_ERASENOW`
    `static int` | `RDW_FRAME`
    `static int` | `RDW_INTERNALPAINT`
    `static int` | `RDW_INVALIDATE`
    `static int` | `RDW_NOCHILDREN`
    `static int` | `RDW_NOERASE`
    `static int` | `RDW_NOFRAME`
    `static int` | `RDW_NOINTERNALPAINT`
    `static int` | `RDW_UPDATENOW`
    `static int` | `RDW_VALIDATE`
    `static int` | `RIM_TYPEHID` The device is an HID that is not a keyboard and not a mouse.
    `static int` | `RIM_TYPEKEYBOARD` The device is a keyboard.
    `static int` | `RIM_TYPEMOUSE` The device is a mouse.
    `static int` | `SC_MAXIMIZE` Maximizes the window.
    `static int` | `SC_MINIMIZE` Minimizes the window.
    `static int` | `SM_ARRANGE`
    `static int` | `SM_CARETBLINKINGENABLED`
    `static int` | `SM_CLEANBOOT`
    `static int` | `SM_CMONITORS`
    `static int` | `SM_CMOUSEBUTTONS`
    `static int` | `SM_CXBORDER`
    `static int` | `SM_CXCURSOR`
    `static int` | `SM_CXDLGFRAME`
    `static int` | `SM_CXDOUBLECLK`
    `static int` | `SM_CXDRAG`
    `static int` | `SM_CXEDGE`
    `static int` | `SM_CXFIXEDFRAME`
    `static int` | `SM_CXFOCUSBORDER`
    `static int` | `SM_CXFRAME`
    `static int` | `SM_CXFULLSCREEN`
    `static int` | `SM_CXHSCROLL`
    `static int` | `SM_CXHTHUMB`
    `static int` | `SM_CXICON`
    `static int` | `SM_CXICONSPACING`
    `static int` | `SM_CXMAXIMIZED`
    `static int` | `SM_CXMAXTRACK`
    `static int` | `SM_CXMENUCHECK`
    `static int` | `SM_CXMENUSIZE`
    `static int` | `SM_CXMIN`
    `static int` | `SM_CXMINIMIZED`
    `static int` | `SM_CXMINSPACING`
    `static int` | `SM_CXMINTRACK`
    `static int` | `SM_CXPADDEDBORDER`
    `static int` | `SM_CXSCREEN`
    `static int` | `SM_CXSIZE`
    `static int` | `SM_CXSIZEFRAME`
    `static int` | `SM_CXSMICON`
    `static int` | `SM_CXSMSIZE`
    `static int` | `SM_CXVIRTUALSCREEN`
    `static int` | `SM_CXVSCROLL`
    `static int` | `SM_CYBORDER`
    `static int` | `SM_CYCAPTION`
    `static int` | `SM_CYCURSOR`
    `static int` | `SM_CYDLGFRAME`
    `static int` | `SM_CYDOUBLECLK`
    `static int` | `SM_CYDRAG`
    `static int` | `SM_CYEDGE`
    `static int` | `SM_CYFIXEDFRAME`
    `static int` | `SM_CYFOCUSBORDER`
    `static int` | `SM_CYFRAME`
    `static int` | `SM_CYFULLSCREEN`
    `static int` | `SM_CYHSCROLL`
    `static int` | `SM_CYICON`
    `static int` | `SM_CYICONSPACING`
    `static int` | `SM_CYKANJIWINDOW`
    `static int` | `SM_CYMAXIMIZED`
    `static int` | `SM_CYMAXTRACK`
    `static int` | `SM_CYMENU`
    `static int` | `SM_CYMENUCHECK`
    `static int` | `SM_CYMENUSIZE`
    `static int` | `SM_CYMIN`
    `static int` | `SM_CYMINIMIZED`
    `static int` | `SM_CYMINSPACING`
    `static int` | `SM_CYMINTRACK`
    `static int` | `SM_CYSCREEN`
    `static int` | `SM_CYSIZE`
    `static int` | `SM_CYSIZEFRAME`
    `static int` | `SM_CYSMCAPTION`
    `static int` | `SM_CYSMICON`
    `static int` | `SM_CYSMSIZE`
    `static int` | `SM_CYVIRTUALSCREEN`
    `static int` | `SM_CYVSCROLL`
    `static int` | `SM_CYVTHUMB`
    `static int` | `SM_DBCSENABLED`
    `static int` | `SM_DEBUG`
    `static int` | `SM_IMMENABLED`
    `static int` | `SM_MEDIACENTER`
    `static int` | `SM_MENUDROPALIGNMENT`
    `static int` | `SM_MIDEASTENABLED`
    `static int` | `SM_MOUSEHORIZONTALWHEELPRESENT`
    `static int` | `SM_MOUSEPRESENT`
    `static int` | `SM_MOUSEWHEELPRESENT`
    `static int` | `SM_NETWORK`
    `static int` | `SM_PENWINDOWS`
    `static int` | `SM_REMOTECONTROL`
    `static int` | `SM_REMOTESESSION`
    `static int` | `SM_RESERVED1`
    `static int` | `SM_RESERVED2`
    `static int` | `SM_RESERVED3`
    `static int` | `SM_RESERVED4`
    `static int` | `SM_SAMEDISPLAYFORMAT`
    `static int` | `SM_SECURE`
    `static int` | `SM_SERVERR2`
    `static int` | `SM_SHOWSOUNDS`
    `static int` | `SM_SHUTTINGDOWN`
    `static int` | `SM_SLOWMACHINE`
    `static int` | `SM_STARTER`
    `static int` | `SM_SWAPBUTTON`
    `static int` | `SM_TABLETPC`
    `static int` | `SM_XVIRTUALSCREEN`
    `static int` | `SM_YVIRTUALSCREEN`
    `static int` | `SMTO_ABORTIFHUNG` The function returns without waiting for the time-out period to elapse if the receiving thread appears to not respond or "hangs."
    `static int` | `SMTO_BLOCK` Prevents the calling thread from processing any other requests until the function returns.
    `static int` | `SMTO_ERRORONEXIT` The function should return 0 if the receiving window is destroyed or its owning thread dies while the message is being processed.
    `static int` | `SMTO_NORMAL` The calling thread is not prevented from processing other requests while waiting for the function to return.
    `static int` | `SMTO_NOTIMEOUTIFNOTHUNG` The function does not enforce the time-out period as long as the receiving thread is processing messages.
    `static int` | `SW_FORCEMINIMIZE`
    `static int` | `SW_HIDE`
    `static int` | `SW_MAX`
    `static int` | `SW_MAXIMIZE`
    `static int` | `SW_MINIMIZE`
    `static int` | `SW_NORMAL`
    `static int` | `SW_RESTORE`
    `static int` | `SW_SHOW`
    `static int` | `SW_SHOWDEFAULT`
    `static int` | `SW_SHOWMAXIMIZED`
    `static int` | `SW_SHOWMINIMIZED`
    `static int` | `SW_SHOWMINNOACTIVE`
    `static int` | `SW_SHOWNA`
    `static int` | `SW_SHOWNOACTIVATE`
    `static int` | `SW_SHOWNORMAL`
    `static int` | `SWP_NOSENDCHANGING` Used by User32.SetWindowPos.
    `static int` | `SWP_NOZORDER` Retains the current Z order (ignores the hWndInsertAfter parameter).
    `static int` | `ULW_ALPHA`
    `static int` | `ULW_COLORKEY`
    `static int` | `ULW_OPAQUE`
    `static int` | `VK_CONTROL`
    `static int` | `VK_LCONTROL`
    `static int` | `VK_LMENU`
    `static int` | `VK_LSHIFT`
    `static int` | `VK_MENU`
    `static int` | `VK_RCONTROL`
    `static int` | `VK_RMENU`
    `static int` | `VK_RSHIFT`
    `static int` | `VK_SHIFT`
    `static int` | `WH_KEYBOARD`
    `static int` | `WH_KEYBOARD_LL`
    `static int` | `WH_MOUSE`
    `static int` | `WH_MOUSE_LL`
    `static int` | `WM_CHAR` Posted to the window with the keyboard focus when a WM_KEYDOWN message is translated by the TranslateMessage function.
    `static int` | `WM_CLOSE` Sent as a signal that a window or an application should terminate.
    `static int` | `WM_CREATE`
    `static int` | `WM_DESTROY`
    `static int` | `WM_DEVICECHANGE`
    `static int` | `WM_DRAWITEM` Sent to the parent window of an owner-drawn button, combo box, list box, or menu when a visual aspect of the button, combo box, list box, or menu has changed.
    `static int` | `WM_GETICON` Sent to a window to retrieve a handle to the large or small icon associated with a window.
    `static int` | `WM_HOTKEY` Posted when the user presses a hot key registered by the RegisterHotKey function.
    `static int` | `WM_KEYDOWN` Posted to the window with the keyboard focus when a nonsystem key is pressed.
    `static int` | `WM_KEYUP`
    `static int` | `WM_MDIMAXIMIZE` An application sends the WM_MDIMAXIMIZE message to a multiple-document interface (MDI) client window to maximize an MDI child window.
    `static int` | `WM_PAINT` The WM_PAINT message is sent when the system or another application makes a request to paint a portion of an \ application's window.
    `static int` | `WM_QUIT` Indicates a request to terminate an application, and is generated when the application calls the PostQuitMessage function.
    `static int` | `WM_SESSION_CHANGE`
    `static int` | `WM_SHOWWINDOW` Sent to a window when the window is about to be hidden or shown.
    `static int` | `WM_SIZE`
    `static int` | `WM_SYSCOMMAND` A window receives this message when the user chooses a command from the Window menu (formerly known as the system or control menu) or when the user chooses the maximize button, minimize button, restore button, or close button.
    `static int` | `WM_SYSKEYDOWN`
    `static int` | `WM_SYSKEYUP`
    `static int` | `WM_USER` Used to define private messages for use by private window classes, usually of the form WM_USER+x, where x is an integer value.
    `static int` | `WS_BORDER` The window has a thin-line border.
    `static int` | `WS_CAPTION` The window has a title bar (includes the WS_BORDER style).
    `static int` | `WS_CHILD` The window is a child window.
    `static int` | `WS_CHILDWINDOW` Same as the WS_CHILD style.
    `static int` | `WS_CLIPCHILDREN` Excludes the area occupied by child windows when drawing occurs within the parent window.
    `static int` | `WS_CLIPSIBLINGS` Clips child windows relative to each other; that is, when a particular child window receives a WM_PAINT message, the WS_CLIPSIBLINGS style clips all other overlapping child windows out of the region of the child window to be updated.
    `static int` | `WS_DISABLED` The window is initially disabled.
    `static int` | `WS_DLGFRAME` The window has a border of a style typically used with dialog boxes.
    `static int` | `WS_EX_COMPOSITED`
    `static int` | `WS_EX_LAYERED`
    `static int` | `WS_EX_TRANSPARENT`
    `static int` | `WS_GROUP` The window is the first control of a group of controls.
    `static int` | `WS_HSCROLL` The window has a horizontal scroll bar.
    `static int` | `WS_ICONIC` The window is initially minimized.
    `static int` | `WS_MAXIMIZE` The window is initially maximized.
    `static int` | `WS_MAXIMIZEBOX` The window has a maximize button.
    `static int` | `WS_MINIMIZE` The window is initially minimized.
    `static int` | `WS_MINIMIZEBOX` The window has a minimize button.
    `static int` | `WS_OVERLAPPED` The window style overlapped.
    `static int` | `WS_OVERLAPPEDWINDOW` The window is an overlapped window.
    `static int` | `WS_POPUP` The windows is a pop-up window.
    `static int` | `WS_POPUPWINDOW` The window is a pop-up window.
    `static int` | `WS_SIZEBOX` The window has a sizing border.
    `static int` | `WS_SYSMENU` The window has a window menu on its title bar.
    `static int` | `WS_TABSTOP` The window is a control that can receive the keyboard focus when the user presses the TAB key.
    `static int` | `WS_THICKFRAME` The window has a sizing border.
    `static int` | `WS_TILED` The window is an overlapped window.
    `static int` | `WS_TILEDWINDOW` The window is an overlapped window.
    `static int` | `WS_VISIBLE` The window is initially visible.
    `static int` | `WS_VSCROLL` The window has a vertical scroll bar.

    - ### Fields inherited from interface com.sun.jna.platform.win32.WinDef

      `MAX_PATH`

- - ### Field Detail

    - #### HWND_BROADCAST

          static final WinDef.HWND HWND_BROADCAST

    - #### HWND_MESSAGE

          static final WinDef.HWND HWND_MESSAGE

    - #### FLASHW_STOP

          static final int FLASHW_STOP

      See Also:
        Constant Field Values

    - #### FLASHW_CAPTION

          static final int FLASHW_CAPTION

      See Also:
        Constant Field Values

    - #### FLASHW_TRAY

          static final int FLASHW_TRAY

      See Also:
        Constant Field Values

    - #### FLASHW_ALL

          static final int FLASHW_ALL

      See Also:
        Constant Field Values

    - #### FLASHW_TIMER

          static final int FLASHW_TIMER

      See Also:
        Constant Field Values

    - #### FLASHW_TIMERNOFG

          static final int FLASHW_TIMERNOFG

      See Also:
        Constant Field Values

    - #### IMAGE_BITMAP

          static final int IMAGE_BITMAP

      See Also:
        Constant Field Values

    - #### IMAGE_ICON

          static final int IMAGE_ICON

      See Also:
        Constant Field Values

    - #### IMAGE_CURSOR

          static final int IMAGE_CURSOR

      See Also:
        Constant Field Values

    - #### IMAGE_ENHMETAFILE

          static final int IMAGE_ENHMETAFILE

      See Also:
        Constant Field Values

    - #### LR_DEFAULTCOLOR

          static final int LR_DEFAULTCOLOR

      See Also:
        Constant Field Values

    - #### LR_MONOCHROME

          static final int LR_MONOCHROME

      See Also:
        Constant Field Values

    - #### LR_COLOR

          static final int LR_COLOR

      See Also:
        Constant Field Values

    - #### LR_COPYRETURNORG

          static final int LR_COPYRETURNORG

      See Also:
        Constant Field Values

    - #### LR_COPYDELETEORG

          static final int LR_COPYDELETEORG

      See Also:
        Constant Field Values

    - #### LR_LOADFROMFILE

          static final int LR_LOADFROMFILE

      See Also:
        Constant Field Values

    - #### LR_LOADTRANSPARENT

          static final int LR_LOADTRANSPARENT

      See Also:
        Constant Field Values

    - #### LR_DEFAULTSIZE

          static final int LR_DEFAULTSIZE

      See Also:
        Constant Field Values

    - #### LR_VGACOLOR

          static final int LR_VGACOLOR

      See Also:
        Constant Field Values

    - #### LR_LOADMAP3DCOLORS

          static final int LR_LOADMAP3DCOLORS

      See Also:
        Constant Field Values

    - #### LR_CREATEDIBSECTION

          static final int LR_CREATEDIBSECTION

      See Also:
        Constant Field Values

    - #### LR_COPYFROMRESOURCE

          static final int LR_COPYFROMRESOURCE

      See Also:
        Constant Field Values

    - #### LR_SHARED

          static final int LR_SHARED

      See Also:
        Constant Field Values

    - #### GWL_EXSTYLE

          static final int GWL_EXSTYLE

      See Also:
        Constant Field Values

    - #### GWL_STYLE

          static final int GWL_STYLE

      See Also:
        Constant Field Values

    - #### GWL_WNDPROC

          static final int GWL_WNDPROC

      See Also:
        Constant Field Values

    - #### GWL_HINSTANCE

          static final int GWL_HINSTANCE

      See Also:
        Constant Field Values

    - #### GWL_ID

          static final int GWL_ID

      See Also:
        Constant Field Values

    - #### GWL_USERDATA

          static final int GWL_USERDATA

      See Also:
        Constant Field Values

    - #### GWL_HWNDPARENT

          static final int GWL_HWNDPARENT

      See Also:
        Constant Field Values

    - #### DWL_DLGPROC

          static final int DWL_DLGPROC

    - #### DWL_MSGRESULT

          static final int DWL_MSGRESULT

      See Also:
        Constant Field Values

    - #### DWL_USER

          static final int DWL_USER

    - #### WS_BORDER

          static final int WS_BORDER

      The window has a thin-line border.
      See Also:
        Constant Field Values

    - #### WS_CAPTION

          static final int WS_CAPTION

      The window has a title bar (includes the WS_BORDER style).
      See Also:
        Constant Field Values

    - #### WS_CHILD

          static final int WS_CHILD

      The window is a child window. A window with this style cannot have a menu bar. This style cannot be used with the WS_POPUP style.
      See Also:
        Constant Field Values

    - #### WS_CHILDWINDOW

          static final int WS_CHILDWINDOW

      Same as the WS_CHILD style.
      See Also:
        Constant Field Values

    - #### WS_CLIPCHILDREN

          static final int WS_CLIPCHILDREN

      Excludes the area occupied by child windows when drawing occurs within the parent window. This style is used when creating the parent window.
      See Also:
        Constant Field Values

    - #### WS_CLIPSIBLINGS

          static final int WS_CLIPSIBLINGS

      Clips child windows relative to each other; that is, when a particular child window receives a WM_PAINT message, the WS_CLIPSIBLINGS style clips all other overlapping child windows out of the region of the child window to be updated. If WS_CLIPSIBLINGS is not specified and child windows overlap, it is possible, when drawing within the client area of a child window, to draw within the client area of a neighboring child window.
      See Also:
        Constant Field Values

    - #### WS_DISABLED

          static final int WS_DISABLED

      The window is initially disabled. A disabled window cannot receive input from the user. To change this after a window has been created, use the EnableWindow function.
      See Also:
        Constant Field Values

    - #### WS_DLGFRAME

          static final int WS_DLGFRAME

      The window has a border of a style typically used with dialog boxes. A window with this style cannot have a title bar.
      See Also:
        Constant Field Values

    - #### WS_GROUP

          static final int WS_GROUP

      The window is the first control of a group of controls. The group consists of this first control and all controls defined after it, up to the next control with the WS_GROUP style. The first control in each group usually has the WS_TABSTOP style so that the user can move from group to group. The user can subsequently change the keyboard focus from one control in the group to the next control in the group by using the direction keys . You can turn this style on and off to change dialog box navigation. To change this style after a window has been created, use the SetWindowLong function.
      See Also:
        Constant Field Values

    - #### WS_HSCROLL

          static final int WS_HSCROLL

      The window has a horizontal scroll bar.
      See Also:
        Constant Field Values

    - #### WS_ICONIC

          static final int WS_ICONIC

      The window is initially minimized. Same as the WS_MINIMIZE style.
      See Also:
        Constant Field Values

    - #### WS_MAXIMIZE

          static final int WS_MAXIMIZE

      The window is initially maximized.
      See Also:
        Constant Field Values

    - #### WS_MAXIMIZEBOX

          static final int WS_MAXIMIZEBOX

      The window has a maximize button. Cannot be combined with the WS_EX_CONTEXTHELP style. The WS_SYSMENU style must also be specified.
      See Also:
        Constant Field Values

    - #### WS_MINIMIZE

          static final int WS_MINIMIZE

      The window is initially minimized. Same as the WS_ICONIC style.
      See Also:
        Constant Field Values

    - #### WS_MINIMIZEBOX

          static final int WS_MINIMIZEBOX

      The window has a minimize button. Cannot be combined with the WS_EX_CONTEXTHELP style. The WS_SYSMENU style must also be specified.
      See Also:
        Constant Field Values

    - #### WS_OVERLAPPED

          static final int WS_OVERLAPPED

      The window style overlapped. The window is an overlapped window. An overlapped window has a title bar and a border. Same as the WS_TILED style.
      See Also:
        Constant Field Values

    - #### WS_POPUP

          static final int WS_POPUP

      The windows is a pop-up window. This style cannot be used with the WS_CHILD style.
      See Also:
        Constant Field Values

    - #### WS_SYSMENU

          static final int WS_SYSMENU

      The window has a window menu on its title bar. The WS_CAPTION style must also be specified.
      See Also:
        Constant Field Values

    - #### WS_THICKFRAME

          static final int WS_THICKFRAME

      The window has a sizing border. Same as the WS_SIZEBOX style.
      See Also:
        Constant Field Values

    - #### WS_POPUPWINDOW

          static final int WS_POPUPWINDOW

      The window is a pop-up window. The WS_CAPTION and WS_POPUPWINDOW styles must be combined to make the window menu visible.
      See Also:
        Constant Field Values

    - #### WS_OVERLAPPEDWINDOW

          static final int WS_OVERLAPPEDWINDOW

      The window is an overlapped window. Same as the WS_TILEDWINDOW style.
      See Also:
        Constant Field Values

    - #### WS_SIZEBOX

          static final int WS_SIZEBOX

      The window has a sizing border. Same as the WS_THICKFRAME style.
      See Also:
        Constant Field Values

    - #### WS_TABSTOP

          static final int WS_TABSTOP

      The window is a control that can receive the keyboard focus when the user presses the TAB key. Pressing the TAB key changes the keyboard focus to the next control with the WS_TABSTOP style. You can turn this style on and off to change dialog box navigation. To change this style after a window has been created, use the SetWindowLong function. For user-created windows and modeless dialogs to work with tab stops, alter the message loop to call the IsDialogMessage function.
      See Also:
        Constant Field Values

    - #### WS_TILED

          static final int WS_TILED

      The window is an overlapped window. An overlapped window has a title bar and a border. Same as the WS_OVERLAPPED style.
      See Also:
        Constant Field Values

    - #### WS_TILEDWINDOW

          static final int WS_TILEDWINDOW

      The window is an overlapped window. Same as the WS_OVERLAPPEDWINDOW style.
      See Also:
        Constant Field Values

    - #### WS_VISIBLE

          static final int WS_VISIBLE

      The window is initially visible. This style can be turned on and off by using the ShowWindow or SetWindowPos function.
      See Also:
        Constant Field Values

    - #### WS_VSCROLL

          static final int WS_VSCROLL

      The window has a vertical scroll bar.
      See Also:
        Constant Field Values

    - #### WS_EX_COMPOSITED

          static final int WS_EX_COMPOSITED

      See Also:
        Constant Field Values

    - #### WS_EX_LAYERED

          static final int WS_EX_LAYERED

      See Also:
        Constant Field Values

    - #### WS_EX_TRANSPARENT

          static final int WS_EX_TRANSPARENT

      See Also:
        Constant Field Values

    - #### LWA_COLORKEY

          static final int LWA_COLORKEY

      See Also:
        Constant Field Values

    - #### LWA_ALPHA

          static final int LWA_ALPHA

      See Also:
        Constant Field Values

    - #### ULW_COLORKEY

          static final int ULW_COLORKEY

      See Also:
        Constant Field Values

    - #### ULW_ALPHA

          static final int ULW_ALPHA

      See Also:
        Constant Field Values

    - #### ULW_OPAQUE

          static final int ULW_OPAQUE

      See Also:
        Constant Field Values

    - #### AC_SRC_OVER

          static final int AC_SRC_OVER

      See Also:
        Constant Field Values

    - #### AC_SRC_ALPHA

          static final int AC_SRC_ALPHA

      See Also:
        Constant Field Values

    - #### AC_SRC_NO_PREMULT_ALPHA

          static final int AC_SRC_NO_PREMULT_ALPHA

      See Also:
        Constant Field Values

    - #### AC_SRC_NO_ALPHA

          static final int AC_SRC_NO_ALPHA

      See Also:
        Constant Field Values

    - #### VK_SHIFT

          static final int VK_SHIFT

      See Also:
        Constant Field Values

    - #### VK_LSHIFT

          static final int VK_LSHIFT

      See Also:
        Constant Field Values

    - #### VK_RSHIFT

          static final int VK_RSHIFT

      See Also:
        Constant Field Values

    - #### VK_CONTROL

          static final int VK_CONTROL

      See Also:
        Constant Field Values

    - #### VK_LCONTROL

          static final int VK_LCONTROL

      See Also:
        Constant Field Values

    - #### VK_RCONTROL

          static final int VK_RCONTROL

      See Also:
        Constant Field Values

    - #### VK_MENU

          static final int VK_MENU

      See Also:
        Constant Field Values

    - #### VK_LMENU

          static final int VK_LMENU

      See Also:
        Constant Field Values

    - #### VK_RMENU

          static final int VK_RMENU

      See Also:
        Constant Field Values

    - #### MOD_ALT

          static final int MOD_ALT

      See Also:
        Constant Field Values

    - #### MOD_CONTROL

          static final int MOD_CONTROL

      See Also:
        Constant Field Values

    - #### MOD_NOREPEAT

          static final int MOD_NOREPEAT

      See Also:
        Constant Field Values

    - #### MOD_SHIFT

          static final int MOD_SHIFT

      See Also:
        Constant Field Values

    - #### MOD_WIN

          static final int MOD_WIN

      See Also:
        Constant Field Values

    - #### WH_KEYBOARD

          static final int WH_KEYBOARD

      See Also:
        Constant Field Values

    - #### WH_MOUSE

          static final int WH_MOUSE

      See Also:
        Constant Field Values

    - #### WH_KEYBOARD_LL

          static final int WH_KEYBOARD_LL

      See Also:
        Constant Field Values

    - #### WH_MOUSE_LL

          static final int WH_MOUSE_LL

      See Also:
        Constant Field Values

    - #### WM_PAINT

          static final int WM_PAINT

      The WM_PAINT message is sent when the system or another application makes a request to paint a portion of an \ application's window.
      See Also:
        Constant Field Values

    - #### WM_CLOSE

          static final int WM_CLOSE

      Sent as a signal that a window or an application should terminate.
      See Also:
        Constant Field Values

    - #### WM_QUIT

          static final int WM_QUIT

      Indicates a request to terminate an application, and is generated when the application calls the PostQuitMessage function.
      See Also:
        Constant Field Values

    - #### WM_SHOWWINDOW

          static final int WM_SHOWWINDOW

      Sent to a window when the window is about to be hidden or shown.
      See Also:
        Constant Field Values

    - #### WM_DRAWITEM

          static final int WM_DRAWITEM

      Sent to the parent window of an owner-drawn button, combo box, list box, or menu when a visual aspect of the button, combo box, list box, or menu has changed.
      See Also:
        Constant Field Values

    - #### WM_KEYDOWN

          static final int WM_KEYDOWN

      Posted to the window with the keyboard focus when a nonsystem key is pressed. A nonsystem key is a key that is pressed when the ALT key is not pressed.
      See Also:
        Constant Field Values

    - #### WM_CHAR

          static final int WM_CHAR

      Posted to the window with the keyboard focus when a WM_KEYDOWN message is translated by the TranslateMessage function. The WM_CHAR message contains the character code of the key that was pressed.
      See Also:
        Constant Field Values

    - #### WM_SYSCOMMAND

          static final int WM_SYSCOMMAND

      A window receives this message when the user chooses a command from the Window menu (formerly known as the system or control menu) or when the user chooses the maximize button, minimize button, restore button, or close button.
      See Also:
        Constant Field Values

    - #### WM_MDIMAXIMIZE

          static final int WM_MDIMAXIMIZE

      An application sends the WM_MDIMAXIMIZE message to a multiple-document interface (MDI) client window to maximize an MDI child window.
      See Also:
        Constant Field Values

    - #### WM_HOTKEY

          static final int WM_HOTKEY

      Posted when the user presses a hot key registered by the RegisterHotKey function. The message is placed at the top of the message queue associated with the thread that registered the hot key.
      See Also:
        Constant Field Values

    - #### WM_USER

          static final int WM_USER

      Used to define private messages for use by private window classes, usually of the form WM_USER+x, where x is an integer value.
      See Also:
        Constant Field Values

    - #### WM_KEYUP

          static final int WM_KEYUP

      See Also:
        Constant Field Values

    - #### WM_SYSKEYDOWN

          static final int WM_SYSKEYDOWN

      See Also:
        Constant Field Values

    - #### WM_SYSKEYUP

          static final int WM_SYSKEYUP

      See Also:
        Constant Field Values

    - #### WM_SESSION_CHANGE

          static final int WM_SESSION_CHANGE

      See Also:
        Constant Field Values

    - #### WM_CREATE

          static final int WM_CREATE

      See Also:
        Constant Field Values

    - #### WM_SIZE

          static final int WM_SIZE

      See Also:
        Constant Field Values

    - #### WM_DESTROY

          static final int WM_DESTROY

      See Also:
        Constant Field Values

    - #### WM_DEVICECHANGE

          static final int WM_DEVICECHANGE

      See Also:
        Constant Field Values

    - #### WM_GETICON

          static final int WM_GETICON

      Sent to a window to retrieve a handle to the large or small icon associated with a window. The system displays the large icon in the ALT+TAB dialog, and the small icon in the window caption.
      See Also:
        Constant Field Values

    - #### ICON_BIG

          static final int ICON_BIG

      Retrieve the large icon for the window.
      See Also:
        Constant Field Values

    - #### ICON_SMALL

          static final int ICON_SMALL

      Retrieve the small icon for the window.
      See Also:
        Constant Field Values

    - #### ICON_SMALL2

          static final int ICON_SMALL2

      Retrieves the small icon provided by the application. If the application does not provide one, the system uses the system-generated icon for that window.
      See Also:
        Constant Field Values

    - #### SM_CXSCREEN

          static final int SM_CXSCREEN

      See Also:
        Constant Field Values

    - #### SM_CYSCREEN

          static final int SM_CYSCREEN

      See Also:
        Constant Field Values

    - #### SM_CXVSCROLL

          static final int SM_CXVSCROLL

      See Also:
        Constant Field Values

    - #### SM_CYHSCROLL

          static final int SM_CYHSCROLL

      See Also:
        Constant Field Values

    - #### SM_CYCAPTION

          static final int SM_CYCAPTION

      See Also:
        Constant Field Values

    - #### SM_CXBORDER

          static final int SM_CXBORDER

      See Also:
        Constant Field Values

    - #### SM_CYBORDER

          static final int SM_CYBORDER

      See Also:
        Constant Field Values

    - #### SM_CXDLGFRAME

          static final int SM_CXDLGFRAME

      See Also:
        Constant Field Values

    - #### SM_CYDLGFRAME

          static final int SM_CYDLGFRAME

      See Also:
        Constant Field Values

    - #### SM_CYVTHUMB

          static final int SM_CYVTHUMB

      See Also:
        Constant Field Values

    - #### SM_CXHTHUMB

          static final int SM_CXHTHUMB

      See Also:
        Constant Field Values

    - #### SM_CXICON

          static final int SM_CXICON

      See Also:
        Constant Field Values

    - #### SM_CYICON

          static final int SM_CYICON

      See Also:
        Constant Field Values

    - #### SM_CXCURSOR

          static final int SM_CXCURSOR

      See Also:
        Constant Field Values

    - #### SM_CYCURSOR

          static final int SM_CYCURSOR

      See Also:
        Constant Field Values

    - #### SM_CYMENU

          static final int SM_CYMENU

      See Also:
        Constant Field Values

    - #### SM_CXFULLSCREEN

          static final int SM_CXFULLSCREEN

      See Also:
        Constant Field Values

    - #### SM_CYFULLSCREEN

          static final int SM_CYFULLSCREEN

      See Also:
        Constant Field Values

    - #### SM_CYKANJIWINDOW

          static final int SM_CYKANJIWINDOW

      See Also:
        Constant Field Values

    - #### SM_MOUSEPRESENT

          static final int SM_MOUSEPRESENT

      See Also:
        Constant Field Values

    - #### SM_CYVSCROLL

          static final int SM_CYVSCROLL

      See Also:
        Constant Field Values

    - #### SM_CXHSCROLL

          static final int SM_CXHSCROLL

      See Also:
        Constant Field Values

    - #### SM_DEBUG

          static final int SM_DEBUG

      See Also:
        Constant Field Values

    - #### SM_SWAPBUTTON

          static final int SM_SWAPBUTTON

      See Also:
        Constant Field Values

    - #### SM_RESERVED1

          static final int SM_RESERVED1

      See Also:
        Constant Field Values

    - #### SM_RESERVED2

          static final int SM_RESERVED2

      See Also:
        Constant Field Values

    - #### SM_RESERVED3

          static final int SM_RESERVED3

      See Also:
        Constant Field Values

    - #### SM_RESERVED4

          static final int SM_RESERVED4

      See Also:
        Constant Field Values

    - #### SM_CXMIN

          static final int SM_CXMIN

      See Also:
        Constant Field Values

    - #### SM_CYMIN

          static final int SM_CYMIN

      See Also:
        Constant Field Values

    - #### SM_CXSIZE

          static final int SM_CXSIZE

      See Also:
        Constant Field Values

    - #### SM_CYSIZE

          static final int SM_CYSIZE

      See Also:
        Constant Field Values

    - #### SM_CXFRAME

          static final int SM_CXFRAME

      See Also:
        Constant Field Values

    - #### SM_CYFRAME

          static final int SM_CYFRAME

      See Also:
        Constant Field Values

    - #### SM_CXMINTRACK

          static final int SM_CXMINTRACK

      See Also:
        Constant Field Values

    - #### SM_CYMINTRACK

          static final int SM_CYMINTRACK

      See Also:
        Constant Field Values

    - #### SM_CXDOUBLECLK

          static final int SM_CXDOUBLECLK

      See Also:
        Constant Field Values

    - #### SM_CYDOUBLECLK

          static final int SM_CYDOUBLECLK

      See Also:
        Constant Field Values

    - #### SM_CXICONSPACING

          static final int SM_CXICONSPACING

      See Also:
        Constant Field Values

    - #### SM_CYICONSPACING

          static final int SM_CYICONSPACING

      See Also:
        Constant Field Values

    - #### SM_MENUDROPALIGNMENT

          static final int SM_MENUDROPALIGNMENT

      See Also:
        Constant Field Values

    - #### SM_PENWINDOWS

          static final int SM_PENWINDOWS

      See Also:
        Constant Field Values

    - #### SM_DBCSENABLED

          static final int SM_DBCSENABLED

      See Also:
        Constant Field Values

    - #### SM_CMOUSEBUTTONS

          static final int SM_CMOUSEBUTTONS

      See Also:
        Constant Field Values

    - #### SM_CXFIXEDFRAME

          static final int SM_CXFIXEDFRAME

      See Also:
        Constant Field Values

    - #### SM_CYFIXEDFRAME

          static final int SM_CYFIXEDFRAME

      See Also:
        Constant Field Values

    - #### SM_CXSIZEFRAME

          static final int SM_CXSIZEFRAME

      See Also:
        Constant Field Values

    - #### SM_CYSIZEFRAME

          static final int SM_CYSIZEFRAME

      See Also:
        Constant Field Values

    - #### SM_SECURE

          static final int SM_SECURE

      See Also:
        Constant Field Values

    - #### SM_CXEDGE

          static final int SM_CXEDGE

      See Also:
        Constant Field Values

    - #### SM_CYEDGE

          static final int SM_CYEDGE

      See Also:
        Constant Field Values

    - #### SM_CXMINSPACING

          static final int SM_CXMINSPACING

      See Also:
        Constant Field Values

    - #### SM_CYMINSPACING

          static final int SM_CYMINSPACING

      See Also:
        Constant Field Values

    - #### SM_CXSMICON

          static final int SM_CXSMICON

      See Also:
        Constant Field Values

    - #### SM_CYSMICON

          static final int SM_CYSMICON

      See Also:
        Constant Field Values

    - #### SM_CYSMCAPTION

          static final int SM_CYSMCAPTION

      See Also:
        Constant Field Values

    - #### SM_CXSMSIZE

          static final int SM_CXSMSIZE

      See Also:
        Constant Field Values

    - #### SM_CYSMSIZE

          static final int SM_CYSMSIZE

      See Also:
        Constant Field Values

    - #### SM_CXMENUSIZE

          static final int SM_CXMENUSIZE

      See Also:
        Constant Field Values

    - #### SM_CYMENUSIZE

          static final int SM_CYMENUSIZE

      See Also:
        Constant Field Values

    - #### SM_ARRANGE

          static final int SM_ARRANGE

      See Also:
        Constant Field Values

    - #### SM_CXMINIMIZED

          static final int SM_CXMINIMIZED

      See Also:
        Constant Field Values

    - #### SM_CYMINIMIZED

          static final int SM_CYMINIMIZED

      See Also:
        Constant Field Values

    - #### SM_CXMAXTRACK

          static final int SM_CXMAXTRACK

      See Also:
        Constant Field Values

    - #### SM_CYMAXTRACK

          static final int SM_CYMAXTRACK

      See Also:
        Constant Field Values

    - #### SM_CXMAXIMIZED

          static final int SM_CXMAXIMIZED

      See Also:
        Constant Field Values

    - #### SM_CYMAXIMIZED

          static final int SM_CYMAXIMIZED

      See Also:
        Constant Field Values

    - #### SM_NETWORK

          static final int SM_NETWORK

      See Also:
        Constant Field Values

    - #### SM_CLEANBOOT

          static final int SM_CLEANBOOT

      See Also:
        Constant Field Values

    - #### SM_CXDRAG

          static final int SM_CXDRAG

      See Also:
        Constant Field Values

    - #### SM_CYDRAG

          static final int SM_CYDRAG

      See Also:
        Constant Field Values

    - #### SM_SHOWSOUNDS

          static final int SM_SHOWSOUNDS

      See Also:
        Constant Field Values

    - #### SM_CXMENUCHECK

          static final int SM_CXMENUCHECK

      See Also:
        Constant Field Values

    - #### SM_CYMENUCHECK

          static final int SM_CYMENUCHECK

      See Also:
        Constant Field Values

    - #### SM_SLOWMACHINE

          static final int SM_SLOWMACHINE

      See Also:
        Constant Field Values

    - #### SM_MIDEASTENABLED

          static final int SM_MIDEASTENABLED

      See Also:
        Constant Field Values

    - #### SM_MOUSEWHEELPRESENT

          static final int SM_MOUSEWHEELPRESENT

      See Also:
        Constant Field Values

    - #### SM_XVIRTUALSCREEN

          static final int SM_XVIRTUALSCREEN

      See Also:
        Constant Field Values

    - #### SM_YVIRTUALSCREEN

          static final int SM_YVIRTUALSCREEN

      See Also:
        Constant Field Values

    - #### SM_CXVIRTUALSCREEN

          static final int SM_CXVIRTUALSCREEN

      See Also:
        Constant Field Values

    - #### SM_CYVIRTUALSCREEN

          static final int SM_CYVIRTUALSCREEN

      See Also:
        Constant Field Values

    - #### SM_CMONITORS

          static final int SM_CMONITORS

      See Also:
        Constant Field Values

    - #### SM_SAMEDISPLAYFORMAT

          static final int SM_SAMEDISPLAYFORMAT

      See Also:
        Constant Field Values

    - #### SM_IMMENABLED

          static final int SM_IMMENABLED

      See Also:
        Constant Field Values

    - #### SM_CXFOCUSBORDER

          static final int SM_CXFOCUSBORDER

      See Also:
        Constant Field Values

    - #### SM_CYFOCUSBORDER

          static final int SM_CYFOCUSBORDER

      See Also:
        Constant Field Values

    - #### SM_TABLETPC

          static final int SM_TABLETPC

      See Also:
        Constant Field Values

    - #### SM_MEDIACENTER

          static final int SM_MEDIACENTER

      See Also:
        Constant Field Values

    - #### SM_STARTER

          static final int SM_STARTER

      See Also:
        Constant Field Values

    - #### SM_SERVERR2

          static final int SM_SERVERR2

      See Also:
        Constant Field Values

    - #### SM_MOUSEHORIZONTALWHEELPRESENT

          static final int SM_MOUSEHORIZONTALWHEELPRESENT

      See Also:
        Constant Field Values

    - #### SM_CXPADDEDBORDER

          static final int SM_CXPADDEDBORDER

      See Also:
        Constant Field Values

    - #### SM_REMOTESESSION

          static final int SM_REMOTESESSION

      See Also:
        Constant Field Values

    - #### SM_SHUTTINGDOWN

          static final int SM_SHUTTINGDOWN

      See Also:
        Constant Field Values

    - #### SM_REMOTECONTROL

          static final int SM_REMOTECONTROL

      See Also:
        Constant Field Values

    - #### SM_CARETBLINKINGENABLED

          static final int SM_CARETBLINKINGENABLED

      See Also:
        Constant Field Values

    - #### SW_HIDE

          static final int SW_HIDE

      See Also:
        Constant Field Values

    - #### SW_SHOWNORMAL

          static final int SW_SHOWNORMAL

      See Also:
        Constant Field Values

    - #### SW_NORMAL

          static final int SW_NORMAL

      See Also:
        Constant Field Values

    - #### SW_SHOWMINIMIZED

          static final int SW_SHOWMINIMIZED

      See Also:
        Constant Field Values

    - #### SW_SHOWMAXIMIZED

          static final int SW_SHOWMAXIMIZED

      See Also:
        Constant Field Values

    - #### SW_MAXIMIZE

          static final int SW_MAXIMIZE

      See Also:
        Constant Field Values

    - #### SW_SHOWNOACTIVATE

          static final int SW_SHOWNOACTIVATE

      See Also:
        Constant Field Values

    - #### SW_SHOW

          static final int SW_SHOW

      See Also:
        Constant Field Values

    - #### SW_MINIMIZE

          static final int SW_MINIMIZE

      See Also:
        Constant Field Values

    - #### SW_SHOWMINNOACTIVE

          static final int SW_SHOWMINNOACTIVE

      See Also:
        Constant Field Values

    - #### SW_SHOWNA

          static final int SW_SHOWNA

      See Also:
        Constant Field Values

    - #### SW_RESTORE

          static final int SW_RESTORE

      See Also:
        Constant Field Values

    - #### SW_SHOWDEFAULT

          static final int SW_SHOWDEFAULT

      See Also:
        Constant Field Values

    - #### SW_FORCEMINIMIZE

          static final int SW_FORCEMINIMIZE

      See Also:
        Constant Field Values

    - #### SW_MAX

          static final int SW_MAX

      See Also:
        Constant Field Values

    - #### RDW_INVALIDATE

          static final int RDW_INVALIDATE

      See Also:
        Constant Field Values

    - #### RDW_INTERNALPAINT

          static final int RDW_INTERNALPAINT

      See Also:
        Constant Field Values

    - #### RDW_ERASE

          static final int RDW_ERASE

      See Also:
        Constant Field Values

    - #### RDW_VALIDATE

          static final int RDW_VALIDATE

      See Also:
        Constant Field Values

    - #### RDW_NOINTERNALPAINT

          static final int RDW_NOINTERNALPAINT

      See Also:
        Constant Field Values

    - #### RDW_NOERASE

          static final int RDW_NOERASE

      See Also:
        Constant Field Values

    - #### RDW_NOCHILDREN

          static final int RDW_NOCHILDREN

      See Also:
        Constant Field Values

    - #### RDW_ALLCHILDREN

          static final int RDW_ALLCHILDREN

      See Also:
        Constant Field Values

    - #### RDW_UPDATENOW

          static final int RDW_UPDATENOW

      See Also:
        Constant Field Values

    - #### RDW_ERASENOW

          static final int RDW_ERASENOW

      See Also:
        Constant Field Values

    - #### RDW_FRAME

          static final int RDW_FRAME

      See Also:
        Constant Field Values

    - #### RDW_NOFRAME

          static final int RDW_NOFRAME

      See Also:
        Constant Field Values

    - #### GW_HWNDFIRST

          static final int GW_HWNDFIRST

      The retrieved handle identifies the window of the same type that is highest in the Z order. If the specified window is a topmost window, the handle identifies a topmost window. If the specified window is a top-level window, the handle identifies a top-level window. If the specified window is a child window, the handle identifies a sibling window.
      See Also:
        Constant Field Values

    - #### GW_HWNDLAST

          static final int GW_HWNDLAST

      The retrieved handle identifies the window of the same type that is lowest in the Z order. If the specified window is a topmost window, the handle identifies a topmost window. If the specified window is a top-level window, the handle identifies a top-level window. If the specified window is a child window, the handle identifies a sibling window.
      See Also:
        Constant Field Values

    - #### GW_HWNDNEXT

          static final int GW_HWNDNEXT

      The retrieved handle identifies the window below the specified window in the Z order. If the specified window is a topmost window, the handle identifies a topmost window. If the specified window is a top-level window, the handle identifies a top-level window. If the specified window is a child window, the handle identifies a sibling window.
      See Also:
        Constant Field Values

    - #### GW_HWNDPREV

          static final int GW_HWNDPREV

      The retrieved handle identifies the window above the specified window in the Z order. If the specified window is a topmost window, the handle identifies a topmost window. If the specified window is a top-level window, the handle identifies a top-level window. If the specified window is a child window, the handle identifies a sibling window.
      See Also:
        Constant Field Values

    - #### GW_OWNER

          static final int GW_OWNER

      The retrieved handle identifies the specified window's owner window, if any. For more information, see Owned Windows.
      See Also:
        Constant Field Values

    - #### GW_CHILD

          static final int GW_CHILD

      The retrieved handle identifies the child window at the top of the Z order, if the specified window is a parent window; otherwise, the retrieved handle is NULL. The function examines only child windows of the specified window. It does not examine descendant windows.
      See Also:
        Constant Field Values

    - #### GW_ENABLEDPOPUP

          static final int GW_ENABLEDPOPUP

      The retrieved handle identifies the enabled popup window owned by the specified window (the search uses the first such window found using GW_HWNDNEXT); otherwise, if there are no enabled popup windows, the retrieved handle is that of the specified window.
      See Also:
        Constant Field Values

    - #### SWP_NOZORDER

          static final int SWP_NOZORDER

      Retains the current Z order (ignores the hWndInsertAfter parameter).
      See Also:
        Constant Field Values

    - #### SC_MINIMIZE

          static final int SC_MINIMIZE

      Minimizes the window.
      See Also:
        Constant Field Values

    - #### SC_MAXIMIZE

          static final int SC_MAXIMIZE

      Maximizes the window.
      See Also:
        Constant Field Values

    - #### BS_PUSHBUTTON

          static final int BS_PUSHBUTTON

      Creates a push button that posts a WM_COMMAND message to the owner window when the user selects the button.
      See Also:
        Constant Field Values

    - #### BS_DEFPUSHBUTTON

          static final int BS_DEFPUSHBUTTON

      Creates a push button that behaves like a BS_PUSHBUTTON style button, but has a distinct appearance.
      If the button is in a dialog box, the user can select the button by pressing the ENTER key, even when the button does not have the input focus.
      This style is useful for enabling the user to quickly select the most likely (default) option.
      See Also:
        Constant Field Values

    - #### BS_CHECKBOX

          static final int BS_CHECKBOX

      Creates a small, empty check box with text. By default, the text is displayed to the right of the check box.
      To display the text to the left of the check box, combine this flag with the BS_LEFTTEXT style (or with the equivalent BS_RIGHTBUTTON style).
      See Also:
        Constant Field Values

    - #### BS_AUTOCHECKBOX

          static final int BS_AUTOCHECKBOX

      Creates a button that is the same as a check box, except that the check state automatically toggles between checked and cleared each time the user selects the check box.
      See Also:
        Constant Field Values

    - #### BS_RADIOBUTTON

          static final int BS_RADIOBUTTON

      Creates a small circle with text. By default, the text is displayed to the right of the circle.
      To display the text to the left of the circle, combine this flag with the BS_LEFTTEXT style (or with the equivalent BS_RIGHTBUTTON style).
      Use radio buttons for groups of related, but mutually exclusive choices.
      See Also:
        Constant Field Values

    - #### BS_3STATE

          static final int BS_3STATE

      Creates a button that is the same as a check box, except that the box can be grayed as well as checked or cleared.
      Use the grayed state to show that the state of the check box is not determined.
      See Also:
        Constant Field Values

    - #### BS_AUTO3STATE

          static final int BS_AUTO3STATE

      Creates a button that is the same as a three-state check box, except that the box changes its state when the user selects it.
      The state cycles through checked, indeterminate, and cleared.
      See Also:
        Constant Field Values

    - #### BS_GROUPBOX

          static final int BS_GROUPBOX

      Creates a rectangle in which other controls can be grouped. Any text associated with this style is displayed in the rectangle's upper left corner.
      See Also:
        Constant Field Values

    - #### BS_USERBUTTON

          static final int BS_USERBUTTON

      Obsolete, but provided for compatibility with 16-bit versions of Windows. Applications should use BS_OWNERDRAW instead.
      See Also:
        Constant Field Values

    - #### BS_AUTORADIOBUTTON

          static final int BS_AUTORADIOBUTTON

      Creates a button that is the same as a radio button, except that when the user selects it,
      the system automatically sets the button's check state to checked and automatically sets the check state for all other buttons in the same group to cleared.
      See Also:
        Constant Field Values

    - #### BS_PUSHBOX

          static final int BS_PUSHBOX

      A button that only shows the text
      See Also:
        Constant Field Values

    - #### BS_OWNERDRAW

          static final int BS_OWNERDRAW

      Creates an owner-drawn button.
      The owner window receives a WM_DRAWITEM message when a visual aspect of the button has changed.
      Do not combine the BS_OWNERDRAW style with any other button styles.
      See Also:
        Constant Field Values

    - #### BS_TYPEMASK

          static final int BS_TYPEMASK

      Do not use this style.
      A composite style bit that results from using the OR operator on BS_* style bits.
      It can be used to mask out valid BS_* bits from a given bitmask.
      Note that this is out of date and does not correctly include all valid styles.
      Thus, you should not use this style.
      However, it makes basic GetWindowLong work when trying to test for a button style for basic button controls.
      See Also:
        Constant Field Values

    - #### BS_LEFTTEXT

          static final int BS_LEFTTEXT

      Places text on the left side of the radio button or check box when combined with a radio button or check box style. Same as the BS_RIGHTBUTTON style.
      See Also:
        Constant Field Values

    - #### SWP_NOSENDCHANGING

          static final int SWP_NOSENDCHANGING

      Used by User32.SetWindowPos.
      Prevents the window from receiving the WM_WINDOWPOSCHANGING message.
      See Also:
        Constant Field Values

    - #### MONITOR_DEFAULTTONULL

          static final int MONITOR_DEFAULTTONULL

      Returns NULL.
      See Also:
        Constant Field Values

    - #### MONITOR_DEFAULTTOPRIMARY

          static final int MONITOR_DEFAULTTOPRIMARY

      Returns a handle to the primary display monitor.
      See Also:
        Constant Field Values

    - #### MONITOR_DEFAULTTONEAREST

          static final int MONITOR_DEFAULTTONEAREST

      Returns a handle to the display monitor that is nearest to the window.
      See Also:
        Constant Field Values

    - #### MONITORINFOF_PRIMARY

          static final int MONITORINFOF_PRIMARY

      This is the primary display monitor.
      See Also:
        Constant Field Values

    - #### CCHDEVICENAME

          static final int CCHDEVICENAME

      Length of the device name in MONITORINFOEX
      See Also:
        Constant Field Values

    - #### EWX_HYBRID_SHUTDOWN

          static final int EWX_HYBRID_SHUTDOWN

      Beginning with Windows 8: You can prepare the system for a faster startup by combining the EWX_HYBRID_SHUTDOWN flag with the EWX_SHUTDOWN flag.
      See Also:
        Constant Field Values

    - #### EWX_LOGOFF

          static final int EWX_LOGOFF

      Shuts down all processes running in the logon session of the process that called the ExitWindowsEx function. Then it logs the user off. This flag can be used only by processes running in an interactive user's logon session.
      See Also:
        Constant Field Values

    - #### EWX_POWEROFF

          static final int EWX_POWEROFF

      Shuts down the system and turns off the power. The system must support the power-off feature. The calling process must have the SE_SHUTDOWN_NAME privilege. For more information, see `User32.ExitWindowsEx(com.sun.jna.platform.win32.WinDef.UINT, com.sun.jna.platform.win32.WinDef.DWORD)`.
      See Also:
        Constant Field Values

    - #### EWX_REBOOT

          static final int EWX_REBOOT

      Shuts down the system and then restarts the system. The calling process must have the SE_SHUTDOWN_NAME privilege. For more information, see `User32.ExitWindowsEx(com.sun.jna.platform.win32.WinDef.UINT, com.sun.jna.platform.win32.WinDef.DWORD)`.
      See Also:
        Constant Field Values

    - #### EWX_RESTARTAPPS

          static final int EWX_RESTARTAPPS

      Shuts down the system and then restarts it, as well as any applications that have been registered for restart using the RegisterApplicationRestart function. These application receive the WM_QUERYENDSESSION message with lParam set to the ENDSESSION_CLOSEAPP value. For more information, see Guidelines for Applications.
      See Also:
        Constant Field Values

    - #### EWX_SHUTDOWN

          static final int EWX_SHUTDOWN

      Shuts down the system to a point at which it is safe to turn off the power. All file buffers have been flushed to disk, and all running processes have stopped. The calling process must have the SE_SHUTDOWN_NAME privilege. For more information, see `User32.ExitWindowsEx(com.sun.jna.platform.win32.WinDef.UINT, com.sun.jna.platform.win32.WinDef.DWORD)`. Specifying this flag will not turn off the power even if the system supports the power-off feature. You must specify EWX_POWEROFF to do this. Windows XP with SP1: If the system supports the power-off feature, specifying this flag turns off the power.
      See Also:
        Constant Field Values

    - #### EWX_FORCE

          static final int EWX_FORCE

      This flag has no effect if terminal services is enabled. Otherwise, the system does not send the WM_QUERYENDSESSION message. This can cause applications to lose data. Therefore, you should only use this flag in an emergency.
      See Also:
        Constant Field Values

    - #### EWX_FORCEIFHUNG

          static final int EWX_FORCEIFHUNG

      Forces processes to terminate if they do not respond to the WM_QUERYENDSESSION or WM_ENDSESSION message within the timeout interval. For more information, see `User32.ExitWindowsEx(com.sun.jna.platform.win32.WinDef.UINT, com.sun.jna.platform.win32.WinDef.DWORD)`.
      See Also:
        Constant Field Values

    - #### GA_PARENT

          static final int GA_PARENT

      Retrieves the parent window. This does not include the owner, as it does with the GetParent function.
      See Also:
        MSDN, Constant Field Values

    - #### GA_ROOT

          static final int GA_ROOT

      Retrieves the root window by walking the chain of parent windows.
      See Also:
        MSDN, Constant Field Values

    - #### GA_ROOTOWNER

          static final int GA_ROOTOWNER

      Retrieves the owned root window by walking the chain of parent and owner windows returned by GetParent.
      See Also:
        MSDN, Constant Field Values

    - #### GCW_ATOM

          static final int GCW_ATOM

      Retrieves an ATOM value that uniquely identifies the window class. This is the same atom that the RegisterClassEx function returns.
      See Also:
        Constant Field Values

    - #### GCL_HICON

          static final int GCL_HICON

      Retrieves a handle to the icon associated with the class.
      See Also:
        MSDN, Constant Field Values

    - #### GCL_HICONSM

          static final int GCL_HICONSM

      Retrieves a handle to the small icon associated with the class.
      See Also:
        MSDN, Constant Field Values

    - #### GCL_CBCLSEXTRA

          static final int GCL_CBCLSEXTRA

      Retrieves the size, in bytes, of the extra memory associated with the class.
      See Also:
        Constant Field Values

    - #### GCL_CBWNDEXTRA

          static final int GCL_CBWNDEXTRA

      Retrieves the size, in bytes, of the extra window memory associated with each window in the class. For information on how to access this memory, see GetWindowLongPtr.
      See Also:
        Constant Field Values

    - #### GCLP_HBRBACKGROUND

          static final int GCLP_HBRBACKGROUND

      Retrieves a handle to the background brush associated with the class.
      See Also:
        Constant Field Values

    - #### GCLP_HCURSOR

          static final int GCLP_HCURSOR

      Retrieves a handle to the cursor associated with the class.
      See Also:
        Constant Field Values

    - #### GCLP_HICON

          static final int GCLP_HICON

      Retrieves a handle to the icon associated with the class.
      See Also:
        Constant Field Values

    - #### GCLP_HICONSM

          static final int GCLP_HICONSM

      Retrieves a handle to the small icon associated with the class.
      See Also:
        Constant Field Values

    - #### GCLP_HMODULE

          static final int GCLP_HMODULE

      Retrieves a handle to the module that registered the class.
      See Also:
        Constant Field Values

    - #### GCLP_MENUNAME

          static final int GCLP_MENUNAME

      Retrieves the pointer to the menu name string. The string identifies the menu resource associated with the class.
      See Also:
        Constant Field Values

    - #### GCL_STYLE

          static final int GCL_STYLE

      Retrieves the window-class style bits.
      See Also:
        Constant Field Values

    - #### GCLP_WNDPROC

          static final int GCLP_WNDPROC

      Retrieves the address of the window procedure, or a handle representing the address of the window procedure. You must use the CallWindowProc function to call the window procedure.
      See Also:
        Constant Field Values

    - #### SMTO_ABORTIFHUNG

          static final int SMTO_ABORTIFHUNG

      The function returns without waiting for the time-out period to elapse if the receiving thread appears to not respond or "hangs."
      See Also:
        Constant Field Values

    - #### SMTO_BLOCK

          static final int SMTO_BLOCK

      Prevents the calling thread from processing any other requests until the function returns.
      See Also:
        Constant Field Values

    - #### SMTO_NORMAL

          static final int SMTO_NORMAL

      The calling thread is not prevented from processing other requests while waiting for the function to return.
      See Also:
        Constant Field Values

    - #### SMTO_NOTIMEOUTIFNOTHUNG

          static final int SMTO_NOTIMEOUTIFNOTHUNG

      The function does not enforce the time-out period as long as the receiving thread is processing messages.
      See Also:
        Constant Field Values

    - #### SMTO_ERRORONEXIT

          static final int SMTO_ERRORONEXIT

      The function should return 0 if the receiving window is destroyed or its owning thread dies while the message is being processed.
      See Also:
        Constant Field Values

    - #### IDC_APPSTARTING

          static final int IDC_APPSTARTING

      Standard arrow and small hourglass cursor.
      See Also:
        Constant Field Values

    - #### IDC_ARROW

          static final int IDC_ARROW

      Standard arrow cursor.
      See Also:
        Constant Field Values

    - #### IDC_CROSS

          static final int IDC_CROSS

      Crosshair cursor.
      See Also:
        Constant Field Values

    - #### IDC_HAND

          static final int IDC_HAND

      Hand cursor.
      See Also:
        Constant Field Values

    - #### IDC_HELP

          static final int IDC_HELP

      Arrow and question mark cursor.
      See Also:
        Constant Field Values

    - #### IDC_IBEAM

          static final int IDC_IBEAM

      I-beam cursor.
      See Also:
        Constant Field Values

    - #### IDC_NO

          static final int IDC_NO

      Slashed circle cursor.
      See Also:
        Constant Field Values

    - #### IDC_SIZEALL

          static final int IDC_SIZEALL

      Four-pointed arrow cursor pointing north, south, east, and west.
      See Also:
        Constant Field Values

    - #### IDC_SIZENESW

          static final int IDC_SIZENESW

      Double-pointed arrow cursor pointing northeast and southwest.
      See Also:
        Constant Field Values

    - #### IDC_SIZENS

          static final int IDC_SIZENS

      Double-pointed arrow cursor pointing north and south.
      See Also:
        Constant Field Values

    - #### IDC_SIZENWSE

          static final int IDC_SIZENWSE

      Double-pointed arrow cursor pointing northwest and southeast.
      See Also:
        Constant Field Values

    - #### IDC_SIZEWE

          static final int IDC_SIZEWE

      Double-pointed arrow cursor pointing west and east.
      See Also:
        Constant Field Values

    - #### IDC_UPARROW

          static final int IDC_UPARROW

      Vertical arrow cursor.
      See Also:
        Constant Field Values

    - #### IDC_WAIT

          static final int IDC_WAIT

      Hourglass cursor.
      See Also:
        Constant Field Values

    - #### IDI_APPLICATION

          static final int IDI_APPLICATION

      Application icon.
      See Also:
        Constant Field Values

    - #### IDI_ASTERISK

          static final int IDI_ASTERISK

      Asterisk icon.
      See Also:
        Constant Field Values

    - #### IDI_EXCLAMATION

          static final int IDI_EXCLAMATION

      Exclamation point icon.
      See Also:
        Constant Field Values

    - #### IDI_HAND

          static final int IDI_HAND

      Stop sign icon.
      See Also:
        Constant Field Values

    - #### IDI_QUESTION

          static final int IDI_QUESTION

      Question-mark icon.
      See Also:
        Constant Field Values

    - #### IDI_WINLOGO

          static final int IDI_WINLOGO

      Application icon. Windows 2000: Windows logo icon.
      See Also:
        Constant Field Values

    - #### RIM_TYPEMOUSE

          static final int RIM_TYPEMOUSE

      The device is a mouse.
      See Also:
        Constant Field Values

    - #### RIM_TYPEKEYBOARD

          static final int RIM_TYPEKEYBOARD

      The device is a keyboard.
      See Also:
        Constant Field Values

    - #### RIM_TYPEHID

          static final int RIM_TYPEHID

      The device is an HID that is not a keyboard and not a mouse.
      See Also:
        Constant Field Values

    - #### CF_BITMAT

          static final int CF_BITMAT

      A handle to a bitmap (HBITMAP).
      See Also:
        Constant Field Values

    - #### CF_DIB

          static final int CF_DIB

      A memory object containing a BITMAPINFO structure followed by the bitmap bits.
      See Also:
        Constant Field Values

    - #### CF_DIBV5

          static final int CF_DIBV5

      A memory object containing a BITMAPV5HEADER structure followed by the bitmap color space information and the bitmap bits.
      See Also:
        Constant Field Values

    - #### CF_DIF

          static final int CF_DIF

      Software Arts' Data Interchange Format.
      See Also:
        Constant Field Values

    - #### CF_DSPBITMAP

          static final int CF_DSPBITMAP

      Bitmap display format associated with a private format. The hMem parameter must be a handle to data that can be displayed in bitmap format in lieu of the privately formatted data.
      See Also:
        Constant Field Values

    - #### CF_DSPENHMETAFILE

          static final int CF_DSPENHMETAFILE

      Enhanced metafile display format associated with a private format. The hMem parameter must be a handle to data that can be displayed in enhanced metafile format in lieu of the privately formatted data.
      See Also:
        Constant Field Values

    - #### CF_DSPMETAFILEPICT

          static final int CF_DSPMETAFILEPICT

      Metafile-picture display format associated with a private format. The hMem parameter must be a handle to data that can be displayed in metafile-picture format in lieu of the privately formatted data.
      See Also:
        Constant Field Values

    - #### CF_DSPTEXT

          static final int CF_DSPTEXT

      Text display format associated with a private format. The hMem parameter must be a handle to data that can be displayed in text format in lieu of the privately formatted data.
      See Also:
        Constant Field Values

    - #### CF_ENHMETAFILE

          static final int CF_ENHMETAFILE

      A handle to an enhanced metafile (HENHMETAFILE).
      See Also:
        Constant Field Values

    - #### CF_GDIOBJFIRST

          static final int CF_GDIOBJFIRST

      Start of a range of integer values for application-defined GDI object clipboard formats. The end of the range is CF_GDIOBJLAST.

      Handles associated with clipboard formats in this range are not automatically deleted using the GlobalFree function when the clipboard is emptied. Also, when using values in this range, the hMem parameter is not a handle to a GDI object, but is a handle allocated by the GlobalAlloc function with the GMEM_MOVEABLE flag.

      See Also:
        Constant Field Values

    - #### CF_GDIOBJLAST

          static final int CF_GDIOBJLAST

      See Also:
        `CF_GDIOBJFIRST`, Constant Field Values

    - #### CF_HDROP

          static final int CF_HDROP

      A handle to type HDROP that identifies a list of files. An application can retrieve information about the files by passing the handle to the DragQueryFile function.
      See Also:
        Constant Field Values

    - #### CF_LOCALE

          static final int CF_LOCALE

      The data is a handle to the locale identifier associated with text in the clipboard. When you close the clipboard, if it contains CF_TEXT data but no CF_LOCALE data, the system automatically sets the CF_LOCALE format to the current input language. You can use the CF_LOCALE format to associate a different locale with the clipboard text.

      An application that pastes text from the clipboard can retrieve this format to determine which character set was used to generate the text.

      Note that the clipboard does not support plain text in multiple character sets. To achieve this, use a formatted text data type such as RTF instead.

      The system uses the code page associated with CF_LOCALE to implicitly convert from CF_TEXT to CF_UNICODETEXT. Therefore, the correct code page table is used for the conversion.

      See Also:
        Constant Field Values

    - #### CF_METAFILEPICT

          static final int CF_METAFILEPICT

      Handle to a metafile picture format as defined by the METAFILEPICT structure. When passing a CF_METAFILEPICT handle by means of DDE, the application responsible for deleting hMem should also free the metafile referred to by the CF_METAFILEPICT handle.
      See Also:
        Constant Field Values

    - #### CF_OEMTEXT

          static final int CF_OEMTEXT

      Text format containing characters in the OEM character set. Each line ends with a carriage return/linefeed (CR-LF) combination. A null character signals the end of the data.
      See Also:
        Constant Field Values

    - #### CF_OWNERDISPLAY

          static final int CF_OWNERDISPLAY

      Owner-display format. The clipboard owner must display and update the clipboard viewer window, and receive the WM_ASKCBFORMATNAME, WM_HSCROLLCLIPBOARD, WM_PAINTCLIPBOARD, WM_SIZECLIPBOARD, and WM_VSCROLLCLIPBOARD messages. The hMem parameter must be NULL.
      See Also:
        Constant Field Values

    - #### CF_PALETTE

          static final int CF_PALETTE

      Handle to a color palette. Whenever an application places data in the clipboard that depends on or assumes a color palette, it should place the palette on the clipboard as well.

      If the clipboard contains data in the CF_PALETTE (logical color palette) format, the application should use the SelectPalette and RealizePalette functions to realize (compare) any other data in the clipboard against that logical palette.

      When displaying clipboard data, the clipboard always uses as its current palette any object on the clipboard that is in the CF_PALETTE format.

      See Also:
        Constant Field Values

    - #### CF_PENDATA

          static final int CF_PENDATA

      Data for the pen extensions to the Microsoft Windows for Pen Computing.
      See Also:
        Constant Field Values

    - #### CF_PRIVATEFIRST

          static final int CF_PRIVATEFIRST

      Start of a range of integer values for private clipboard formats. The range ends with CF_PRIVATELAST. Handles associated with private clipboard formats are not freed automatically; the clipboard owner must free such handles, typically in response to the WM_DESTROYCLIPBOARD message.
      See Also:
        Constant Field Values

    - #### CF_PRIVATELAST

          static final int CF_PRIVATELAST

      See Also:
        `CF_PRIVATEFIRST`, Constant Field Values

    - #### CF_RIFF

          static final int CF_RIFF

      Represents audio data more complex than can be represented in a CF_WAVE standard wave format.
      See Also:
        Constant Field Values

    - #### CF_SYLK

          static final int CF_SYLK

      Microsoft Symbolic Link (SYLK) format.
      See Also:
        Constant Field Values

    - #### CF_TEXT

          static final int CF_TEXT

      Text format. Each line ends with a carriage return/linefeed (CR-LF) combination. A null character signals the end of the data. Use this format for ANSI text.
      See Also:
        Constant Field Values

    - #### CF_TIFF

          static final int CF_TIFF

      Tagged-image file format.
      See Also:
        Constant Field Values

    - #### CF_UNICODETEXT

          static final int CF_UNICODETEXT

      Unicode text format. Each line ends with a carriage return/linefeed (CR-LF) combination. A null character signals the end of the data.
      See Also:
        Constant Field Values

    - #### CF_WAVE

          static final int CF_WAVE

      Represents audio data in one of the standard wave formats, such as 11 kHz or 22 kHz PCM.
      See Also:
        Constant Field Values

Copyright © 2007-2016 Timothy Wall. All Rights Reserved.